{% load_banners position: position_title limit: 1 %}
{% for banner in loaded_banners %}
  {% if banner.subtitle != blank %}
    {% capture html_title %}
      <h2 class="title">{{ banner.subtitle }}</h2>
    {% endcapture %}
  {% endif %}
{% endfor %}

{% load_banners position: position_banners limit: 4 %}
{% for banner in loaded_banners %}

{% assign show_cta = false %}
{% if banner.url != blank and banner.subtitle != blank %}
  {% assign show_cta = true %}
{% endif %}

{% if banner.file_url != blank %}
    {% capture html_banners %}
      {{ html_banners }}
      {% if banner.url != blank %}
        <a href="{{ banner.url }}" aria-label="{{ banner.subtitle }}" {% if banner.external %} target="_blank" {% endif %} class="mosaic-item item-{{ forloop.index }}">
        {% else %}
          <div class="mosaic-item item-{{ forloop.index }}">
        {% endif %}

          <figure class="image -custom">
            {% capture data_srcset %}
              {{ banner.file_url | resize: '345x' }}
              345w,
              {{ banner.file_url | resize: '390x' }}
              390w,
              {{ banner.file_url | resize: '420x' }}
              420w,
              {{ banner.file_url | resize: '620x' }}
              620w,
              {{ banner.file_url | resize: '700x' }}
              700w,
              {{ banner.file_url | resize: '900x' }}
              900w
            {% endcapture %}

            {% capture data_sizes %}
              (max-width: 375px) 345px,
              (max-width: 425px) 390px,
              (max-width: 767px) 700px,
              (max-width: 991px) 900px,
              (max-width: 1280px) 420px,
              (min-width: 1440px) 620px,
            {% endcapture %}

            <img class="lazy" loading="lazy" data-srcset="{{ data_srcset | strip_newlines | strip }}" data-sizes="{{ data_sizes | strip_newlines | strip }}" alt="{{ banner.title }}"/>
          </figure>
          
          {% if banner.description != blank or show_cta %}
            <div class="overlay" {% if banner.color != blank %} style="--text-color: {{ banner.color }}" {% endif %}>
              {% if banner.description != blank %}
                {{ banner.description | replace: '<h1', '<h3 class="title">' | replace: '<h2', '<h3 class="title"' | replace: '<h4', '<h4 class="upper-title"' }}
              {% endif %}
              {% if show_cta %}
                <button aria-label="{{ banner.subtitle }}" class="button-default -outlined" type="button">{{ banner.subtitle }}</button>
              {% endif %}
            </div>
          {% endif %}

      {% if banner.url != blank %}
        </a>
      {% else %}
        </div>
      {% endif %}
    {% endcapture %}
  {% endif %}
{% endfor %}


{% if html_banners and html_banners != blank %}
  <section class="banners-mosaic section container">
    {% if html_title and html_title != blank %}
      {{ html_title }}
    {% endif %}

    <div class="mosaic">
      {{ html_banners }}
    </div>
  </section>
{% endif %}
